Package csb :: Package statistics :: Package samplers :: Package mc :: Module propagators :: Class RWMCPropagator

[frames] | no frames]

# Class RWMCPropagator

source code

            object --+
                     |
    AbstractPropagator --+
                         |
      AbstractMCPropagator --+
                             |
                            RWMCPropagator

Draws a number of samples from a PDF using the RWMCSampler and returns them as a Trajectory.

Nested Classes
Inherited from `AbstractPropagator`: `__metaclass__`

Instance Methods

__init__(self, pdf, stepsize=1.0, proposal_density=None, temperature=1.0) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `AbstractMCPropagator`: `generate` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `AbstractMCPropagator`: `acceptance_rate` Inherited from `object`: `__class__`

Method Details

### __init__(self, pdf, stepsize=1.0, proposal_density=None, temperature=1.0)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `pdf` (AbstractDensity) - PDF to sample from
  - `stepsize` (float) - Serves to set the step size in proposal_density, e.g. for automatic acceptance rate adaption
  - `proposal_density` (callable) - The proposal density as a function f(x, s) of the current state x and the stepsize s. By default, the proposal density is uniform, centered around x, and has width s.
  - `temperature` (float) - See documentation of AbstractSingleChainMC
Overrides: object.__init__
  (inherited documentation)